slepc-3.21.1 2024-04-26
Report Typos and Errors

# LMESetTolerances

Sets the tolerance and maximum iteration count used by the LME convergence tests.

### Synopsis

    #include "slepclme.h"
    PetscErrorCode LMESetTolerances(LME lme,PetscReal tol,PetscInt maxits)

Logically Collective

### Input Parameters

| lme | - the linear matrix equation solver context
| tol | - the convergence tolerance
| maxits | - maximum number of iterations to use

### Options Database Keys

| -lme_tol <tol> | - Sets the convergence tolerance
| -lme_max_it <maxits> | - Sets the maximum number of iterations allowed

### Notes

Use PETSC_DEFAULT for either argument to assign a reasonably good value.

### See Also

LMEGetTolerances()

### Level

intermediate

### Location

src/lme/interface/lmeopts.c

### Examples

src/lme/tutorials/ex32.c
Index of all LME routines
Table of Contents for all manual pages
Index of all manual pages